﻿using System;


namespace styczen_2024_problem_1_PESEL
{
    internal class Program
    {
        //graniczna długość znaków w PESEL 
        const int ILE_ZNAKOW= 11;
        //tablica przechowująca kolejne cyfry kodu PESEL
        static int[] pesel = new int[ILE_ZNAKOW];
        //waga przypisana do pozycji w kodzie PESEL
        static int[] waga = {1,3,7,9,1,3,7,9,1,3};

        static void WczytajPesel()
        {
            Console.WriteLine("Podaj 11 cyfr kodu PESEL:");
            string s = "";
            for (int i = 0; i < ILE_ZNAKOW; i++)
            {
                pesel[i] = int.Parse(Console.ReadLine());
                s += pesel[i].ToString();
            }
            Console.WriteLine("Wczytany PESEL:"+s);
        }

        static bool CzyPESEL(int[] p) {
            //sprawdź czy PESEL
            int S = 0;
            for (int i = 0; i < 10; i++) 
                S += p[i] * waga[i];
            int M=S%10;
            int R;
            if (M == 0) R = 0;
            else R = 10 - M;
            //tak to PESEL
            if (R == p[10])
            {
                Console.WriteLine("SUMA KONTROLNA POPRAWNA, TO JEST PESEL");
                return true;
            }
            //nie, to nie PESEL
            else
            {
                Console.WriteLine("SUMA KONTROLNA NIEPOPRAWNA, TO NIE JEST PESEL");
                return false;
            }
        } 

        static char Plec(int[] p)
        {
            //jeżeli przedostatnia jest parzysta
            //to kobieta
            if (p[9]%2 == 0) return 'K';
            //w przeciwnym wypadku mezczyzna
            else return 'M';
        }

        static void Main(string[] args)
        {
            WczytajPesel();
            CzyPESEL(pesel);
            Console.WriteLine("Płeć: "+Plec(pesel));
            Console.ReadKey();
        }
    }
}
